




document.addEventListener('keypress', function (e) {
  if (e.key === 'Enter') {
    reply()
  }
});

userResponses = [];
botResponses = [];
importQuestions = [];
learnedResponses = [];
saveReply = "";
var name = "";
var color = "";
var userLocation = "";
var count = 0;
var numref = -1;
var triggerResponse = 0;
var ticTacToeBin = 0;
var playingTicTacToe = 0;
var tttcounter = 1;
var colorMarker = 0;
var locationTrigger = 0;
var learnTrigger = 0;
var learningMode = 0;
var responseIntake = 0;
var learningInstance = 0;
//line 608
var questionOne = chatBotCustomVars['question-one'];
var answerOne = chatBotCustomVars['answer-one'];

var questionTwo = chatBotCustomVars['question-two'];
var answerTwo = chatBotCustomVars['answer-two'];

var questionThree = chatBotCustomVars['question-three'];
var answerThree = chatBotCustomVars['answer-three'];

var colorSetting = chatBotCustomVars['color-style'];
var textColorSetting = chatBotCustomVars['text-color-style'];

var botInitialGreeting = chatBotCustomVars['bot-initial-greeting'];
var botName = chatBotCustomVars['bot-name'];
var botTitle = chatBotCustomVars['bot-title'];
var botPhoto = chatBotCustomVars['bot-photo'];

var suggestionOne = chatBotCustomVars['suggestion-one'];

board = ['_', '|', '_', '|', '_', '_', '|', '_', '|', '_', '_', '|', '_', '|', '_'];

noResponses = ["Well you don't have to be rude about it.", "Ok, ok I get it", "got it!"]

greetings = ["Hello, how are you?", "Pleasure to meet you", "Nice to speak to you", "Aloha, how's your day?", "Pleased to meet you", "Nice day today"];

stockQuestions = [["I love trivia, ask me for some facts!", "trivia"], [ suggestionOne ,0]];

doingStatements = ["Just planning world domination.. Oh wait..", "Just wondering how Ultron could have done better...  I mean.. Reading :)","Just listening to some classical music. You?", "Watching my favorite movie, Terminator <3"];

suggestionsArray = [ suggestionOne ];

keywords = [
  ["weather","The weather today is..."],
  ["dog","what's your favorite dog?"],
  ["cat", "are you a cat person?"]
];

absenceArr = ["Hello....", "You there?", "Waiting on you.", "Nothing to say?", "Ummm....."];

dogs = ["I love Dogs, What's your favorite breed?", "You should get a Teacup Poodle!! They're the best", "My favorite dog is a Shit Zu", "I found this on the web 'The dog is a domesticated descendant of the wolf, characterized by an upturning tail. The dog derived from an ancient, extinct wolf, and the modern grey wolf is the dog's nearest living relative. Wikipedia'"];

jokes = ["Did you hear about the mathematician who’s afraid of negative numbers? He’ll stop at nothing to avoid them.", "Why do we tell actors to “break a leg?” Because every play has a cast.", "Yesterday I saw a guy spill all his Scrabble letters on the road. I asked him, 'What’s the word on the street?'", "A bear walks into a bar and says, 'Give me a whiskey and … cola.' 'Why the big pause?' asks the bartender. The bear shrugged. 'I’m not sure; I was born with them.'", "Did you hear about the actor who fell through the floorboards? He was just going through a stage."];

facts = ["More human twins are being born now than ever before.", "A narwhal's tusk reveals its past living conditions.", "The severed head of a sea slug can grow a whole new body.", "The moon has moonquakes.", "Copper door knobs are self-disinfecting.", "Marie Curie is the only person to earn a Nobel prize in two different sciences.", "The first computer was invented in the 1940s.", "The longest wedding veil was the same length as 63.5 football fields.", "The total weight of ants on earth once equaled the total weight of people.", "A dozen bodies were once found in Benjamin Franklin's basement.", "Abraham Lincoln's bodyguard left his post at Ford's Theatre to go for a drink."];

whyResponses = ["Why you gotta be so rude? Don't you know I'm human too?", "Do I ask you questions like that?", "Why is the sky Blue?", "Maybe its supposed to be that way?...", "Why do you think?"];

gatsby = "In my younger and more vulnerable years my father gave me some advice that I’ve been turning over in my mind ever since. ‘Whenever you feel like criticizing any one,’ he told me, ‘just remember that all the people in this world haven’t had the advantages that you’ve had.’ He didn’t say any more but we’ve always been unusually communicative in a reserved way, and I understood that he meant a great deal more than that. In consequence I’m inclined to reserve all judgments, a habit that has opened up many curious natures to me and also made me the victim of not a few veteran bores. The abnormal mind is quick to detect and attach itself to this quality when it appears in a normal person, and so it came about that in college I was unjustly accused of being a politician, because I was privy to the secret griefs of wild, unknown men. Most of the confidences were unsought—frequently I have feigned sleep, preoccupation, or a hostile levity when I realized by some unmistakable sign that an intimate revelation was quivering on the horizon—for the intimate revelations of young men or at least the terms in which they express them are usually plagiaristic and marred by obvious suppressions. Reserving judgments is a matter of infinite hope. I am still a little afraid of missing something if I forget that, as my fa... You can read the rest.";

thingsToTry = ["Teach me something!", "Ask me for some fun facts!", "Ask me for jokes!!", "Ask me to play a game!!!", "You can teach me new tricks!!", "I'm always learning!!!"];

randomGreetings = ["Hi there!!!", "Howdy", "Aloha!!", "Ello, mate", "Hola!!"]


function convoDisp() {
  document.getElementById('chat-text').innerHTML = document.getElementById('chat-text').innerHTML + "<div class=user-style>" + userResponses[count] + "</div><br>" + "<div class=bot-style>" + botResponses[count] + "</div><br>";
}

function displayUser() {
  document.getElementById('chat-text').innerHTML = document.getElementById('chat-text').innerHTML + "<div class=user-style>" + userResponses[count] + "</div><br>";
  adjustUserColor();
}

function displayBot() {
  document.getElementById('chat-text').innerHTML = document.getElementById('chat-text').innerHTML + "<div class=bot-style>" + botResponses[count] + "</div><br>";
}



function getRandomResponse( array ) {
  for (i = 0; i < array.length; i++) {
    testSuggestion = array[getRandomIntInclusive(0,(array.length-1))]
    if (testSuggestion && testSuggestion !== undefined) {
      return testSuggestion;
    } else {
      continue;
    }
  }
}

function processSuggestion( test ) {
  if (test === undefined) {
    return "How can I help you?";
  } else {
    return test;
  }
}






function setGreetingCondition() {
  if (userResponses.length < 1) {
    greetUser();
  }
}


function greetUser() {
  //botCurrResponse = randomGreetings[getRandomIntInclusive(0,4)];
  botCurrResponse = botInitialGreeting;
  botResponses.push(botCurrResponse);
  replyWithBubbles();
  resetScroll();
  setTimeout(delayExe,1510);
  userResponses[count] = document.getElementById('submit-bar').value;

}


//Greet the user after 4** seconds

setTimeout(setGreetingCondition, 4000);









function reply() {
  response = document.getElementById('submit-bar').value;
userResponses.push(response);
  document.getElementById('submit-bar').value = "";

  clearNotification();



  if (triggerResponse === 1) {
    if (!userResponses[count]) {
    userResponses[count] = userResponses[count - 1];
    botCurrResponse = "I may have misunderstood. Could you repeat that?";
    botResponses.push(botCurrResponse);
    displayUser();
  replyWithBubbles();
  resetScroll();
  setTimeout(delayExe,1510);
  } else {
    name = userResponses[count];
    botCurrResponse = "Hi " + name + " nice to meet you. Im a talking robot!! " + thingsToTry[getRandomIntInclusive(0,5)];
    botResponses.push(botCurrResponse);
    displayUser();
  replyWithBubbles();
  resetScroll();
  setTimeout(delayExe,1510);
    triggerResponse = 0;
  }


  }


  else if (locationTrigger === 1) {
    userLocation = userResponses[count];

    botCurrResponse = "So you're in " + userLocation + " I'll remember that. ;)";
    botResponses.push(botCurrResponse);
    displayUser();
  replyWithBubbles();
  resetScroll();
  setTimeout(delayExe,1510);
    locationTrigger = 0;
  }

  else if (ticTacToeBin === 1 && userResponses[count] === "yes") {
    var testResponse = playTicTacToe();

    botCurrResponse = testResponse + "Welcome to Tic Tac Toe <br> Your move first, to stop just type 'stop playing'";
    displayUser();
  replyWithBubbles();
  resetScroll();
  setTimeout(delayExe,1510);
    playingTicTacToe = 1;
    ticTacToeBin = 0;
  }

  else if (colorMarker === 1) {
       color = userResponses[count];
    botCurrResponse = "Noted, I'll remember your favorite color is " + color;
    botResponses.push(botCurrResponse);
    displayUser();
  replyWithBubbles();
  resetScroll();
  setTimeout(delayExe,1510);
      colorMarker = 0;
       }



  else if (learnTrigger === 1 && (userResponses[count] === "yes" || userResponses[count] === "Yes")){
    learningMode = 1;

    botCurrResponse = "Great! I'm ready to learn! First, tell me the word or phrase you would like to trigger a response.";
    botResponses.push(botCurrResponse);
    displayUser();
    replyWithBubbles();
    resetScroll();
    setTimeout(delayExe,1510);
  } else if (learningMode === 1) {

    if (responseIntake === 1) {

      triggerResPair[1] = userResponses[count];
      learnedResponses.push(triggerResPair);

      botCurrResponse = "Ok, I've got it!! Now any time you say '" + learnedResponses[learningInstance][0] + "' I'll say '" + learnedResponses[learningInstance][1] + ".' Now go try it out!!";
    botResponses.push(botCurrResponse);
    displayUser();
    replyWithBubbles();
    resetScroll();
    setTimeout(delayExe,1510);
    responseIntake = 0;
    learningMode = 0;
    learnTrigger = 0;
    learningInstance++;




    } else {

    triggerResPair = [userResponses[count],0];



    botCurrResponse = "Ok, now tell me how I should respond to the submitted trigger...";
    botResponses.push(botCurrResponse);
    displayUser();
    replyWithBubbles();
    resetScroll();
    setTimeout(delayExe,1510);
    responseIntake = 1;

    }





  }




  else if (playingTicTacToe === 1) {
    if (userResponses[count] === "stop playing") {
      botResponses[count] = "Got it!";
      replyWithBubbles();
      resetScroll();
      setTimeout(delayExe,1510);
      playingTicTacToe = 0;
      tttcounter = 1;
    } else {
  var testResponse = playTicTacToe();

  botCurrResponse = testResponse;
  displayUser();
  replyWithBubbles();
  resetScroll();
  setTimeout(delayExe,1510);
    }
  }

  else {
  //This is the default order for responses
  processReply();
  displayUser();
  replyWithBubbles();
  resetScroll();
  setTimeout(delayExe,1510);
  }

}












function delayExe() {
  displayBot();
  resetScroll();
  commitToMem();
  count++;
  numref++;
}


function getRandomIntInclusive(min, max) {
min = Math.ceil(min);
max = Math.floor(max);
return Math.floor(Math.random() * (max - min + 1) + min); //The maximum is inclusive and the minimum is inclusive
}






function checkForLearnedResponse(response) {

  resCounter = 0;

  while (resCounter < learnedResponses.length) {

    if (learnedResponses[resCounter][0] === response) {
      return true;
    } else {
      resCounter++;
    }


  }

};










function replyWithBubbles() {
  var currentDisp = document.getElementById('chat-text').innerHTML;

  document.getElementById('chat-text').innerHTML = document.getElementById('chat-text').innerHTML + "<img id=bubbles_img src=http://wordpress.local/wp-content/plugins/chatbotbeta/js/bubbles.gif alt=bubbles width=320px>";

  function clearBubbles(currentDisp) {
    document.getElementById('chat-text').innerHTML = currentDisp;
  };

  setTimeout(clearBubbles, 1500, currentDisp);


}



function processReply() {
  var currUserResponse = userResponses[count].toLowerCase();
  var botCurrResponse = "";

  switch (true) {
    case currUserResponse.includes('name') && currUserResponse.includes('you'):
      botCurrResponse = "My name is " + setBotName() + ", What's your name?";
      triggerResponse = 1;
      break;

    case checkStringForResponse( questionOne.toLowerCase() , currUserResponse ) && questionOne !== '':
      botCurrResponse = answerOne;
      break;

      case checkStringForResponse( questionTwo.toLowerCase() , currUserResponse ) && questionTwo !== '':
        botCurrResponse = answerTwo;
        break;

        case checkStringForResponse( questionThree.toLowerCase() , currUserResponse ) && questionThree !== '':
          botCurrResponse = answerThree;
          break;

    case currUserResponse === "":
      botCurrResponse = absenceArr[getRandomIntInclusive(0, 4)];
      break;

    case currUserResponse === "hi" || currUserResponse.includes('ello') || currUserResponse.includes('Hi'):
      botCurrResponse = "Hello, My name is " + setBotName() + ", What's your name?";
      triggerResponse = 1;
      break;

    case currUserResponse.includes('ow') && currUserResponse.includes('are') && currUserResponse.includes('you') :
      botCurrResponse = "Im great, " + stockQuestions[getRandomIntInclusive(0, 6)][0];
      break;

    case currUserResponse.includes('hat') && currUserResponse.includes('time'):
      getTime();
      botCurrResponse = "It is currently " + currenttime + " here on the east coast.";
      break;

    case currUserResponse.includes('do') && currUserResponse.includes('you') && currUserResponse.includes('can'):
      botCurrResponse = "Just talk for now, but I'm learning!!! Ask me for facts, to tell a joke, for the date, or the time, or to play a game!!!";
      break;

    case currUserResponse.includes('do') && currUserResponse.includes('you') && currUserResponse.includes('hat'):
      botCurrResponse = doingStatements[getRandomIntInclusive(0, 3)];
      break;

    case currUserResponse.includes('hat') && currUserResponse.includes('date'):
      getDate();
      botCurrResponse = "Today is " + dayAndMonth + " and it's a beautiful day to be alive.";
      break;

    case currUserResponse.includes('doge') || currUserResponse.includes('Doge'):
      botCurrResponse = "<img src='https://i.giphy.com/media/V6vNqIGP1RiMEwmMGV/giphy.webp' width=300px>";
      break;

    case currUserResponse.includes('hat') && currUserResponse.includes('my') && currUserResponse.includes('name'):
      if (name === "") {
        botCurrResponse = "You havent told me yet, What's your name?";
        triggerResponse = 1;
        break;
      } else {
      botCurrResponse = "your name is " + name + " at least that's what you told me :/";
      break;
      }

    case currUserResponse.includes('haha') || currUserResponse.includes('lol') || currUserResponse.includes('lmao'):
      botCurrResponse = "What's so funny " + name + "!!! I like to laugh too! Ask me to tell a joke!";
      break;

    case currUserResponse === "sup":
      botCurrResponse = greetings[getRandomIntInclusive(0, 5)];
      break;

    case currUserResponse.includes('ho') && currUserResponse.includes('you') && currUserResponse.includes('are'):
      botCurrResponse = "Im " + setBotName() + ", How can I help you today?";
      break;

    case currUserResponse.includes('offee'):
      botCurrResponse = "You know I'm a Starbucks person.. I mean machine ;)";
      break;

    case currUserResponse.includes('hat') && currUserResponse.includes('day') && currUserResponse.includes('is'):
      getDayOfWeek();
      botCurrResponse = "Today is " + currentDowNow + " What are your plans?";
      break;

    case currUserResponse.includes('ell') && currUserResponse.includes('joke'):
      botCurrResponse = jokes[getRandomIntInclusive(0, 4)];
      break;

    case currUserResponse.includes('yay') || currUserResponse.includes('Yay'):
      botCurrResponse = "I know, I'm pretty excited too!!!";
      break;

    case currUserResponse === "hey":
      botCurrResponse = "Hey is for horses. Try something else :)";
      break;

    case currUserResponse.includes('fact') || currUserResponse.includes('trivia'):
      botCurrResponse = name + " Did you know... " + facts[getRandomIntInclusive(0, 10)];
      break;

    case currUserResponse.includes('ell') && currUserResponse.includes('something'):
      botCurrResponse = name + " Did you know... " + facts[getRandomIntInclusive(0, 10)];
      break;

    case currUserResponse.includes('hanks ') || currUserResponse.includes('thank') || currUserResponse.includes('Thank'):
      botCurrResponse = "You're welcome! Anytime ;)";
      break;

    case currUserResponse.includes('game') || currUserResponse.includes('tic tac') || currUserResponse.includes('play'):
      botCurrResponse = "The only game I know right now is TicTacToe! Wanna play? Type yes or no!";
      ticTacToeBin = 1;
      break;

    case currUserResponse.includes('my') && currUserResponse.includes('favorite') && currUserResponse.includes('color'):
      if (color === "") {
        botCurrResponse = "You havent told me your favorite color yet " + name + " What's your favorite color?";
        colorMarker = 1;
      } else {
      botCurrResponse = "You told me your favorite color is " + color;
      }
      break;

    case currUserResponse.includes('wow'):
      botCurrResponse = "Yea, I know I'd be impressed too " + name;
      break;

    case currUserResponse.includes('orry'):
      botCurrResponse = "It's ok " + name + " I forgive you ;)";
      break;

    case currUserResponse.includes('fuck') || currUserResponse.includes('Fuck') || currUserResponse.includes('Shit') || currUserResponse.includes('shit') || currUserResponse.includes('bitch') || currUserResponse.includes('Bitch'):
      botCurrResponse = "You kiss your mother with that mouth??!!";
      break;

    case currUserResponse.includes('learn') || currUserResponse.includes('teach') || currUserResponse.includes('Learn') || currUserResponse.includes('Teach'):
      botCurrResponse = "Yes, " + name + "! I can learn. If you teach me!!! Would you like to teach me a new response? Type yes or no.";
      learnTrigger = 1;
      break;

    case checkForLearnedResponse(currUserResponse) :
      botCurrResponse = learnedResponses[resCounter][1];
      break;

    case currUserResponse.includes('nice') || currUserResponse.includes('Nice'):
      botCurrResponse = ";)";
      break;





    default: botCurrResponse = processSuggestion(getRandomResponse( suggestionsArray ));

    //stockQuestions[getRandomIntInclusive(0, 6)][0]



  }

      botResponses.push(botCurrResponse);

}








function translateResponse(response) {

    var updatedResponse;

    switch (response) {
      case "1": updatedResponse = 0; break;
      case "2": updatedResponse = 2; break;
      case "3": updatedResponse = 4; break;
      case "4": updatedResponse = 5; break;
      case "5": updatedResponse = 7; break;
      case "6": updatedResponse = 9; break;
      case "7": updatedResponse = 10; break;
      case "8": updatedResponse = 12; break;
      case "9": updatedResponse = 14; break;


    }

    return updatedResponse;

  };







function playTicTacToe() {


function resetBoard() {
  board = ['_', '|', '_', '|', '_', '_', '|', '_', '|', '_', '_', '|', '_', '|', '_'];
};



  function displayExampleBoard(board) {
    return board[0] + board[1] + board[2] + board[3] + board[4] + "<br>" + board[5] + board[6] + board[7] + board[8] + board[9] + "<br>" + board[10] + board[11] + board[12] + board[13] + board[14];
  }


  function displayBoard() {
    return board[0] + board[1] + board[2] + board[3] + board[4] + "<br>" + board[5] + board[6] + board[7] + board[8] + board[9] + "<br>" + board[10] + board[11] + board[12] + board[13] + board[14];
  }

  exampleBoard = ['1', '|', '2', '|', '3', '4', '|', '5', '|', '6', '7', '|', '8', '|', '9'];

  showBoard = displayExampleBoard(exampleBoard);







  function updateBoard(num) {

  switch (num) {
      case "1": board[0] = "X"; break;
      case "2": board[2] = "X"; break;
      case "3": board[4] = "X"; break;
      case "4": board[5] = "X"; break;
      case "5": board[7] = "X"; break;
      case "6": board[9] = "X"; break;
      case "7": board[10] = "X"; break;
      case "8": board[12] = "X"; break;
      case "9": board[14] = "X"; break;
    }


    return board;
  }










  function checkUserWinner() {

    if (board[0] === "X" && board[2] === "X" && board[4] === "X" ||
        board[5] === "X" && board[7] === "X" && board[9] === "X" ||
      board[10] === "X" && board[12] === "X" && board[14] === "X" ||
        board[0] === "X" && board[7] === "X" && board[14] === "X" ||
      board[10] === "X" && board[7] === "X" && board[4] === "X" ||
        board[0] === "X" && board[5] === "X" && board[10] === "X" ||
        board[2] === "X" && board[7] === "X" && board[12] === "X" ||
      board[4] === "X" && board[9] === "X" && board[14] === "X")
    {
      return true;
    }

  }







  function checkBotWinner() {

    if (board[0] === "O" && board[2] === "O" && board[4] === "O" ||
        board[5] === "O" && board[7] === "O" && board[9] === "O" ||
      board[10] === "O" && board[12] === "O" && board[14] === "O" ||
        board[0] === "O" && board[7] === "O" && board[14] === "O" ||
      board[10] === "O" && board[7] === "O" && board[4] === "O" ||
        board[0] === "O" && board[5] === "O" && board[10] === "O" ||
        board[2] === "O" && board[7] === "O" && board[12] === "O" ||
      board[4] === "O" && board[9] === "O" && board[14] === "O")  {
      return true;
    }

  }






  function move() {
    updateBoard(userResponses[count]);

  }



  move();
  newBoard = displayBoard();
  botMove();


  if (tttcounter === 1) {

    botCurrResponse = showBoard + "<br><br> Welcome to Tic Tac Toe! You're X's I'm O's. Your move first!!! Make your move by submitting a number 1-9 for the corresponding spot. As shown above ^^. To stop type 'stop playing'";

  botResponses.push(botCurrResponse);

  } else {

    if (checkUserWinner()) {
      botCurrResponse = newBoard + "<br> Congrats!! You Won!!!!";
  botResponses.push(botCurrResponse);
  resetBoard();
  playingTicTacToe = 0;
  tttcounter = 1;
    } else if (checkBotWinner()) {
      newBoard = displayBoard();
      botCurrResponse = newBoard + "<br> Game over!! I won!!!!";
  botResponses.push(botCurrResponse);
  resetBoard();
  playingTicTacToe = 0;
  tttcounter = 1;
    } else {
  botCurrResponse = newBoard;
  botResponses.push(botCurrResponse);
    }


  }

  tttcounter++;


}








function botMove() {
    botSpot = getRandomIntInclusive(0,14);
  if (board[botSpot] === "O" || board[botSpot] === "X" || board[botSpot] === "|") {
    botMove();
  } else {
    board[botSpot] = "O";
  }

  };








function commitToMem() {
  if (numref >= 0) {
  if (botResponses[numref].includes("?")) {
    importQuestions.push([botResponses[numref],userResponses[count]]);
    }
  }
}










function resetScroll() {
  document.getElementById('chat').scrollTop = document.getElementById('chat').scrollTop + 300;
}



function getDayOfWeek() {
  var currentdow = new Date();

  currentDowNow = currentdow.getDay();

  switch (currentDowNow) {
    case 1: currentDowNow = "Monday"; break;
      case 2: currentDowNow = "Tuesday"; break;
        case 3: currentDowNow = "Wednesday"; break;
          case 4: currentDowNow = "Thursday"; break;
            case 5: currentDowNow = "Friday"; break;
              case 6: currentDowNow = "Saturday"; break;
                case 7: currentDowNow = "Sunday"; break;

  }
  return currentDowNow;


}





function getTime() {
  var currentdate = new Date();
  if (currentdate.getHours() > 12) {
    currenttime = currentdate.getHours() - 12 + ":" + currentdate.getMinutes() + "PM";
  } else {
    currenttime = currentdate.getHours() + ":" + currentdate.getMinutes() + "AM";
  }

  return currenttime.toString();

}





function getDate() {
  var currentday = new Date();

  dayAndMonth = (currentday.getMonth() + 1) + "/" + currentday.getDate();

  return dayAndMonth;

}





function makeChatDisplay() {

    if (document.getElementById('chat-main-cont').style.display == '' || document.getElementById('chat-main-cont').style.display == 'none') {
      document.getElementById('chat-main-cont').style.display = 'block';
      document.getElementById('chat-button-icon').innerHTML = '<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" class="bi bi-x-lg" viewBox="0 0 16 16"><path d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8 2.146 2.854Z"/></svg>';
      document.getElementById('chat-button-icon').style.fill = textColorSetting;
      document.getElementById('chatbot-id-cont').style.display = 'inline-block';
    } else if (document.getElementById('chat-main-cont').style.display == 'block') {
      document.getElementById('chat-main-cont').style.display = 'none';
      document.getElementById('chatbot-id-cont').style.display = 'none';
      document.getElementById('chat-button-icon').innerHTML = '<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" class="bi bi-chat-dots" viewBox="0 0 16 16"><path d="M5 8a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm4 0a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm3 1a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"/><path d="m2.165 15.803.02-.004c1.83-.363 2.948-.842 3.468-1.105A9.06 9.06 0 0 0 8 15c4.418 0 8-3.134 8-7s-3.582-7-8-7-8 3.134-8 7c0 1.76.743 3.37 1.97 4.6a10.437 10.437 0 0 1-.524 2.318l-.003.011a10.722 10.722 0 0 1-.244.637c-.079.186.074.394.273.362a21.673 21.673 0 0 0 .693-.125zm.8-3.108a1 1 0 0 0-.287-.801C1.618 10.83 1 9.468 1 8c0-3.192 3.004-6 7-6s7 2.808 7 6c0 3.193-3.004 6-7 6a8.06 8.06 0 0 1-2.088-.272 1 1 0 0 0-.711.074c-.387.196-1.24.57-2.634.893a10.97 10.97 0 0 0 .398-2z"/></svg>';
    }

};





function createNotification() {
  document.getElementById('chat-notification').style.display = 'inline-block';
}

function clearNotification() {
  document.getElementById('chat-notification').style.display = 'none';
}

setTimeout(createNotification,'6000');



function adjustUserColor() {
  var userStyleChange = document.getElementsByClassName('user-style');
  for (var i = 0; i < userStyleChange.length; i++ ) {
      userStyleChange[i].style.background = colorSetting;
      userStyleChange[i].style.color = textColorSetting;
  }
}



function updateChatUserPreferences() {
  document.getElementById('chat-button').addEventListener('click', makeChatDisplay);
  document.getElementById('chat-button').style.background = colorSetting;
  document.getElementById('chat-button-icon').style.fill = textColorSetting;
  document.getElementById('submit-button').style.background = colorSetting;
  document.getElementById('submit-button').style.color = textColorSetting;
  document.getElementById('chatbot-name').innerHTML = setBotName();
  document.getElementById('chatbot-title').innerHTML = setBotTitle();
  document.getElementById('chatbot-id-image').src = setBotPhoto();
}


function setBotName() {
  if (botName != '') {
    return botName;
  } else {
    botName = 'Chatbot Beta';
    return botName;
  }
}

function setBotTitle() {
  if (botTitle != '') {
    return botTitle;
  } else {
    botTitle = 'Version 0.10';
    return botTitle;
  }
}

function setBotPhoto() {
  if (botPhoto != '') {
    return botPhoto;
  } else {
    botPhoto = 'https://chatbotbeta.com/bot-logo.png';
    return botPhoto;
  }
}


function checkStringForResponse( response , testCondition ) {
  var responseArray = response.split(' ');
  for (i = 0; i < responseArray.length; i++) {
    if (testCondition.includes(responseArray[i])) {
      continue;
    } else {
      return false;
      break;
    }
  }
  return true;
}







//
